python-pydoctor_0.5+git20151204-2_all.deb


Advertisement

Description

python-pydoctor - Python API document generator

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe amd64
Package name: python-pydoctor
Package version: 0.5+git20151204
Package release: 2
Package architecture: all
Package type: deb
Installed size: 363 B
Download size: 63.09 KB
Official Mirror: archive.ubuntu.com
Pydoctor is a tool for generating API documentation for Python modules based on their docstrings via static analysis. It was written primarily to replace epydoc for the purposes of the Twisted project as epydoc has difficulties with zope.interface.

Alternatives

    Download

    Source package: pydoctor

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install python-pydoctor deb package:
      # sudo apt-get install python-pydoctor

    Files

    • /usr/bin/pydoctor
    • /usr/lib/python2.7/dist-packages/pydoctor/__init__.py
    • /usr/lib/python2.7/dist-packages/pydoctor/ast_pp.py
    • /usr/lib/python2.7/dist-packages/pydoctor/astbuilder.py
    • /usr/lib/python2.7/dist-packages/pydoctor/driver.py
    • /usr/lib/python2.7/dist-packages/pydoctor/epydoc2stan.py
    • /usr/lib/python2.7/dist-packages/pydoctor/html.py
    • /usr/lib/python2.7/dist-packages/pydoctor/liveobjectchecker.py
    • /usr/lib/python2.7/dist-packages/pydoctor/model.py
    • /usr/lib/python2.7/dist-packages/pydoctor/nevowhtml.py
    • /usr/lib/python2.7/dist-packages/pydoctor/server.py
    • /usr/lib/python2.7/dist-packages/pydoctor/sphinx.py
    • /usr/lib/python2.7/dist-packages/pydoctor/twistedmodel.py
    • /usr/lib/python2.7/dist-packages/pydoctor/zopeinterface.py
    • /usr/lib/python2.7/dist-packages/pydoctor-15.0.0.egg-info/PKG-INFO
    • /usr/lib/python2.7/dist-packages/pydoctor-15.0.0.egg-info/dependency_links.txt
    • /usr/lib/python2.7/dist-packages/pydoctor-15.0.0.egg-info/requires.txt
    • /usr/lib/python2.7/dist-packages/pydoctor-15.0.0.egg-info/top_level.txt
    • /usr/lib/python2.7/dist-packages/pydoctor/templates/apidocs.css
    • /usr/lib/python2.7/dist-packages/pydoctor/templates/attribute-child.html
    • /usr/lib/python2.7/dist-packages/pydoctor/templates/bigDiff.html
    • /usr/lib/python2.7/dist-packages/pydoctor/templates/bootstrap.min.css
    • /usr/lib/python2.7/dist-packages/pydoctor/templates/common.html
    • /usr/lib/python2.7/dist-packages/pydoctor/templates/diff.html
    • /usr/lib/python2.7/dist-packages/pydoctor/templates/edit.html
    • /usr/lib/python2.7/dist-packages/pydoctor/templates/function-child.html
    • /usr/lib/python2.7/dist-packages/pydoctor/templates/index.html
    • /usr/lib/python2.7/dist-packages/pydoctor/templates/nameIndex.html
    • /usr/lib/python2.7/dist-packages/pydoctor/templates/problemObjects.html
    • /usr/lib/python2.7/dist-packages/pydoctor/templates/pydoctor.js
    • /usr/lib/python2.7/dist-packages/pydoctor/templates/summary.html
    • /usr/lib/python2.7/dist-packages/pydoctor/templates/table.html
    • /usr/lib/python2.7/dist-packages/pydoctor/templatewriter/__init__.py
    • /usr/lib/python2.7/dist-packages/pydoctor/templatewriter/summary.py
    • /usr/lib/python2.7/dist-packages/pydoctor/templatewriter/util.py
    • /usr/lib/python2.7/dist-packages/pydoctor/templatewriter/writer.py
    • /usr/lib/python2.7/dist-packages/pydoctor/templatewriter/pages/__init__.py
    • /usr/lib/python2.7/dist-packages/pydoctor/templatewriter/pages/attributechild.py
    • /usr/lib/python2.7/dist-packages/pydoctor/templatewriter/pages/functionchild.py
    • /usr/lib/python2.7/dist-packages/pydoctor/templatewriter/pages/table.py
    • /usr/share/doc/python-pydoctor/README.rst
    • /usr/share/doc/python-pydoctor/changelog.Debian.gz
    • /usr/share/doc/python-pydoctor/copyright
    • /usr/share/man/man1/pydoctor.1.gz

    Changelog

    2015-12-08 - Jelmer Vernooij <jelmer@debian.org> pydoctor (0.5+git20151204-2) unstable; urgency=medium * Add patch fix-unicode.diff, to hack in support for newer versions of twisted. Closes: #807088

    2015-12-04 - Jelmer Vernooij <jelmer@debian.org> pydoctor (0.5+git20151204-1) unstable; urgency=medium * New upstream snapshot. * Bump standards version to 3.9.6 (no changes). * Change Vcs header to Git. * Add build dependency on python-setuptools. * Add patch source-date-epoch.diff: Support SOURCE_DATE_EPOCH environment variable. Closes: #807166

    2015-04-25 - Jelmer Vernooij <jelmer@debian.org> pydoctor (0.5+git20150410-2) unstable; urgency=medium * Upload to unstable.

    2014-07-22 - Jelmer Vernooij <jelmer@debian.org> pydoctor (0.5+git20150410-1) experimental; urgency=medium * New upstream snapshot. + Makes output reproducible. Closes: #776783 * Fix watch file.

    2014-07-06 - Jelmer Vernooij <jelmer@debian.org> pydoctor (0.5+bzr616-1) unstable; urgency=medium * New upstream snapshot. * Bump standards version to 3.9.5 (no changes). * Fix Vcs-Bzr URL.

    2013-09-15 - Jelmer Vernooij <jelmer@debian.org> pydoctor (0.5b1+bzr603-1) unstable; urgency=low * New upstream snapshot. * Switch from cdbs to dh. * Bump standards version to 3.9.4 (no changes). * Update Vcs header.

    2010-12-06 - Jelmer Vernooij <jelmer@debian.org> pydoctor (0.3+bzr567-1) unstable; urgency=low * Drop Guido from uploaders per his request. * New upstream snapshot. + Add basic support for introspection. Closes: #538984 * Bump standards version to 3.9.1 (no changes). * Add watch file.

    2010-03-29 - Jelmer Vernooij <jelmer@debian.org> pydoctor (0.3-1) unstable; urgency=low * New upstream release. * Add myself to uploaders. * Bump standards version to 3.8.4. * Use source format 3.

    2010-03-02 - Sandro Tosi <morph@debian.org> pydoctor (0.2-4.1) unstable; urgency=low * Non-maintainer upload. * pydoctor/ast_pp.py - applied patch from upstream to add compatibility with Python 2.6; thanks to Seo Sanghyeon for the report; Closes: #539600 * debian/control - set priority to 'optional' to match override file - b-d on python instead of python-dev, since building an arch:all package

    2007-11-21 - Guido Guenther <agx@sigxcpu.org> pydoctor (0.2-4) unstable; urgency=low * change section to extra since nevow is in extra

    Advertisement
    Advertisement